Module javafx.graphics
Package javafx.css.converter

# Class EnumConverter<E extends Enum<E>>

java.lang.Object
javafx.css.StyleConverter<String,E>
javafx.css.converter.EnumConverter<E>

public final class EnumConverter<E extends Enum<E>> extends StyleConverter<String,E>

Since:
  9

## Nested Class Summary

## Nested classes/interfaces inherited from class javafx.css.StyleConverter

`StyleConverter.StringStore`

## Constructor Summary

Constructors
Constructor
Description
`EnumConverter(Class<E> enumClass)`

## Method Summary

Modifier and Type
Method
Description
`E`
`convert(ParsedValue<String,E> value, Font not_used)`
Convert from the parsed CSS value to the target property type.
`boolean`
`equals(Object other)`
`static StyleConverter<?,?>`
`getInstance(String ename)`
`int`
`hashCode()`
`static StyleConverter<?,?>`
`readBinary(DataInputStream is, String[] strings)`
`String`
`toString()`
`void`
`writeBinary(DataOutputStream os, StyleConverter.StringStore sstore)`
Write binary data.

### Methods inherited from class javafx.css.StyleConverter

`cacheValue, clearCache, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EnumConverter

public EnumConverter(Class<E> enumClass)

## Method Details

### convert

public E convert(ParsedValue<String,E> value, Font not_used)
Description copied from class: `StyleConverter`
Convert from the parsed CSS value to the target property type.

Overrides:
  `convert` in class `StyleConverter<String,E extends Enum<E>>`
Parameters:
  `value` - The `ParsedValue` to convert
  `not_used` - The `Font` to use when converting a relative value.
Returns:
  the converted target property type

### writeBinary

public void writeBinary(DataOutputStream os, StyleConverter.StringStore sstore) throws IOException
Description copied from class: `StyleConverter`
Write binary data.

Overrides:
  `writeBinary` in class `StyleConverter<String,E extends Enum<E>>`
Parameters:
  `os` - the data output stream
  `sstore` - the string store
Throws:
  `IOException` - the exception

### readBinary

public static StyleConverter<?,?> readBinary(DataInputStream is, String[] strings) throws IOException

Throws:
  `IOException`

### getInstance

public static StyleConverter<?,?> getInstance(String ename)

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`